Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core
Class Register.Set

    java.lang.Object
      avrora.core.Register.Set

Enclosing class:
  Register

public static class Register.Set
extends java.lang.Object

The `Set` class represents a set of registers. This is used to represent classes of registers that are used as operands to various instructions. For example, an instruction might expect one of its operands to be a general purpose register that has a number greater than 15; a set of those registers can be constructed and then a membership test performed.

In practice, the needed register sets are all allocated statically.

Field Summary
`java.lang.String` | `contents` The `contents` field stores a string that represents a summary of the registers that are in this set.

Method Summary
`boolean` | `contains(Register reg)` The `contains()` method tests for membership.
`java.lang.String` | `toString()` The `toString()` method converts this set to a string representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### contents

    public final java.lang.String contents

  The `contents` field stores a string that represents a summary of the registers that are in this set. An example string for the even registers would be `"{r0, r2, ..., r30}"`.

Method Detail

### contains

    public boolean contains(Register reg)

  The `contains()` method tests for membership. Given a register, it will return true if that register is a member of this set, and false otherwise.

  Parameters:
    `reg` - the register to test membership of
  Returns:
    true if the specified register is a member of this set; false otherwise

### toString

    public java.lang.String toString()

  The `toString()` method converts this set to a string representation. In this implementation, it simply returns the string representation of the contents.

  Returns:
    a string representation of this register set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD